
import QtQuick 2.12
import QtQuick.Controls 2.12
import QtQuick.Controls.impl 2.12
import QtQuick.Templates 2.12 as T

import org.ukui.qqc2style.private 1.0 as StylePrivate

T.Label {
    id:control

    ParseInterface{
        id: parseInterface
    }


    color: parseInterface.pStartColor(enabled ? label.normalColor : label.disableColor)//StylePrivate.UKUILable.normalColor
    linkColor: parseInterface.pStartColor(label.linkColor)

    font: app.font//appP.font

    StylePrivate.UKUILabel{
        id: label
        onParametryChanged:{
            control.update();
        }
    }

    StylePrivate.APPParameter{
        id: app
    }
}
