
import QtQuick 2.6
import QtQuick.Templates 2.5 as T
import org.ukui.qqc2style.private 1.0 as StylePrivate


T.Button {
    id: controlRoot
    implicitWidth: {
    var contentwidth = implicitContentWidth + leftPadding + rightPadding
        return Math.max(implicitBackgroundWidth + leftInset + rightInset,
                        contentwidth, btn.normalWidth)
    }
    implicitHeight: Math.max(implicitBackgroundHeight + topInset + bottomInset,
                             implicitContentHeight + topPadding + bottomPadding, btn.normalHeight)

    leftPadding: StylePrivate.UKUIButton.margin
    rightPadding: StylePrivate.UKUIButton.margin

    hoverEnabled: true //Qt.styleHints.useHoverEffects TODO: how to make this work in 5.7?


    font: StylePrivate.APPParameter.font

    StylePrivate.UKUIButton{
        id: btn
//        Component.onCompleted: console.log("UKUIButton 1122333", btn.normalHBC)

    }
//    StylePrivate.APPParameter{
//        id: appP

//        Component.onCompleted: console.log("APPParameter 1122333")
//    }
    contentItem: ButtonIconLabelContent {
        controlRoot: controlRoot
        anchors.centerIn: controlRoot
        //onWidthChanged: console.log(controlRoot.text, width)
    }
    background: BackGroundRectangle{
        implicitWidth: btn.normalWidth
        implicitHeight: btn.normalHeight
        controlRoot: controlRoot
        _radius: btn.radius
        //Component.onCompleted: console.log("BackGroundRectangle radius", StylePrivate.UKUIButton.radius, StylePrivate.UKUIButton.normalBC)
    }
//    Component.onCompleted: console.log("Button radius", btn.radius)

}
